SERIAL_MCU = "COM4"
SERIAL_DRV = "COM20"

# HC Sonar Pins
SONAR_1_TRIG_PIN = 0
SONAR_1_ECHO_PIN = 1
SONAR_2_TRIG_PIN = 2
SONAR_2_ECHO_PIN = 3
SONAR_3_TRIG_PIN = 4
SONAR_3_ECHO_PIN = 5

# Motor Pins
MOTOR_FL_F = 7
MOTOR_FL_R = 6
MOTOR_FR_F = 8
MOTOR_FR_R = 9
MOTOR_RL_F = 10
MOTOR_RL_R = 11
MOTOR_RR_F = 13
MOTOR_RR_R = 12

# Full Speed 90 Degrees Turn Time
TURN_TIME_FS_90DEG_MS = 3000.0

BEEPER_PIN = 15

COLLISION_DETECTOR_PIN = 16
COLLISION_ENABLE = True

LEDS_DATA_PIN = 17
LEDS_NUM = 15
HEADLIGHT_LEDS = [5, 10]
LEFT_SIGNAL_LEDS = [6, 3]
RIGHT_SIGNAL_LEDS = [7, 4]
REVERSE_LEDS = [1, 2]

LIGHT_ANALOG_PIN = 2

DHT22_PIN = 14

SERIAL_LCD = "COM9"
